Bug 80272 - redhat-config-xfree86 and kudzu fail, but Xconfigurator succeeds
redhat-config-xfree86 and kudzu fail, but Xconfigurator succeeds
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2002-12-23 13:36 EST by maciek
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-26 11:28:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description maciek 2002-12-23 13:36:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
I recently purchased a Sapphire RADEON 7500 graphics card, and plugged it into a
RH 8.0 system that used to run with a GeForce2 card.  I verified that RADEON
7500 is supported by XFree86 prior to my purchase.  My monitor is a Viewsonic PF770.

Kudzu failed to configure the card on boot, with no constructive error messages.
 I ran redhat-config-xfree86 from the command line.  The program hung, taking
control of the mouse and pegging the cursor to the upper-right corner of the
screen.  The screen never switched to any graphical mode.  I had to swith
virtual consoles and kill it manually to regain control of that session. 
Repeated runs produced similar results.

As a last-ditch effort I installed Xconfigurator from RH 7.3, ignoring any
unsatisfied dependencies.  Xconfigurator detected and configured my card on
first invocation, and I've lived happily ever after.  It seems to me that
redhat-config-xfree86 is inferior to Xconfigurator.  Why is Xconfigurator no
longer supported?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install a Sapphire RADEON 7500 graphics card
2. Run redhat-config-xfree86
3. Wait for a long time
4. Kill redhat-config-xfree86
5. Run Xconfigurator (Red Hat 7.3)

Actual Results:  See description section

Expected Results:  redhat-config-xfree86 should have started X and let me choose
graphics modes, since RADEON 7500 is supported by XFree86.

Additional info:
Comment 1 Brent Fox 2002-12-23 15:24:22 EST
Please try redhat-config-xfree86-0.7.0-5 out of Rawhide and see if that fixes
the problem.  The version that shipped in 8.0 would just hang on my wife's
machine which has a Radeon 7500 in it, but I made some changes that caused the
program to work on her machine.
Comment 2 maciek 2002-12-24 12:31:48 EST
Thank you for the prompt reply.  I will try the Rawhide version.  Mostly I
wanted to post this issue to see if others saw the same behavior, as I did not
see any similar bugzilla entries.  It sounds like this bug is no longer an
issue.  Thanks again.
Comment 3 Brent Fox 2002-12-26 11:28:07 EST
Ok, please reopen this bug if the version out of Rawhide doesn't fix the
problem.  Thanks for your report.  
Comment 4 Mike A. Harris 2002-12-26 20:51:27 EST
No, redhat-config-xfree86 is not inferior to Xconfigurator.  All software
potentially can have bugs, and redhat-config-xfree86 is no exception.
The solution to that, is to report bugs encountered, just like you have
done just now, so that developers are aware of problems and can fix them.

The solution is not to ship ancient garbage config tools indefinitely and
support 50 different ways of doing one thing.  Xconfigurator is dead

Please continue to report any bugs in redhat-config-xfree86 you encounter,
so that they can be fixed in future versions of the software.


Note You need to log in before you can comment on or make changes to this bug.